JavaMap::JDBCAppender(3)

NAME
Log::Log4perl::JavaMap::JDBCAppender - wraps Log::Log4perl::Appender::DBI

SYNOPSIS

DESCRIPTION
Possible config properties for log4j JDBCAppender are

    bufferSize
    sql
    password
    user
    URL - attempting to translate a JDBC URL into DBI parameters,
        let me know if you find problems

Possible config properties for Log::Log4perl::Appender::DBI are

    bufferSize
    sql
    password
    username
    datasource

    usePreparedStmt 0|1

    (patternLayout).dontCollapseArrayRefs 0|1

SEE ALSO
http://jakarta.apache.org/log4j/docs/

Log::Log4perl::Javamap

Log::Log4perl::Appender::DBI

LICENSE
Copyright 2002-2026 by Mike Schilli <m@perlmeister.com> and Kevin Goess <cpan@goess.org>.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.